What is required 'iscan dependency is not satisfiable: iscan-data'

Asked by Cliffm on 2012-08-31

hello need a little help
attempting to install Epson WorkForce 435
printer installed fine
scanner installation not so good
Downloaded iscan_2.29.1-5~usb0.1.ltdl7_amd64.deb
and ran it, this is what Ubuntu software center returned 'iscan- dependency is not satisfiable: iscan-data'
where do i find the dependencies?
Thanks Cliff

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu simple-scan Edit question
Assignee:
No assignee Edit question
Solved by:
N1ck 7h0m4d4k15
Solved:
2012-08-31
Last query:
2012-08-31
Last reply:
2012-08-31
Cliffm (c2mcatee) said : #1

My apologies should have added this info the first time.
My system is Ubuntu 12.04
AMD 64 bit phenom II

lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 010: ID 04b8:0870 Seiko Epson Corp.
Bus 004 Device 002: ID 045e:00cb Microsoft Corp. Basic Optical Mouse v2.0

N1ck 7h0m4d4k15 (nicktux) said : #2

Hi ,
here is the page that you will find your Epson drivers : http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX

Just fill in Product Name the numbers and letters of your model (without the Epson word)

Thanks

The iscan packages are not in the repos, so need manually downloading. The package you have depends on another in order to work, so you need to get what it needs.

Cliffm (c2mcatee) said : #4

Nick
That is the page I downloaded ' iscan_2.29.1-5~usb0.1.ltdl7_amd64.deb' from.
re-ran this morning and received this message from the Ubuntu Software Center'Dependency is not satisfiable: iscan (>=2.21.0)'

Andrew
I was not clear in my request. Where do I find the other package from the information given?

Thanks guys
Cliff

N1ck 7h0m4d4k15 (nicktux) said : #5

Ok ,

Lets do it with the way I know.

First of all , delete the package you downloaded..

Then go here --> http://download.ebz.epson.net/dsc/search/01/search/searchModule
and download ALL the packages .
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ESC/P Driver (full feature)
latest ESC/P-R Driver (generic driver)
Scanner Driver Linux Ver. 2.29.1/1.17.0 core package&data package
Scanner Driver Linux latest network plugin package
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

ONLY .deb packages , nothing else. You will see the iscan_data.all.deb also.

Now , you must place all the .debs you downloaded on your Desktop and then open a terminal ...

give this command
++++++++++++++++++++++++++++++
sudo dpkg -i *.deb
++++++++++++++++++++++++++++++

give the results back here.

Thanks

N1ck 7h0m4d4k15 (nicktux) said : #6

Ok , the link is not working , cuz its a search , so in the search field you must write : workforce 435

N1ck 7h0m4d4k15 (nicktux) said : #7

Correction for answer #5

Correct command for #5th answer is
+++++++++++++++++++++++++
cd Desktop
sudo dpkg -i *.deb
+++++++++++++++++++++++++

When I say ALL the packages , I mean the packages are related to your architecture.

Usually the .deb packages for printer has an lsb3.2 in the name

The .deb packages for scanner has an ltdl7 in the name .

Ok ? I don't want to confuse you, do not download everything you see there.. but the iscan-data_1.17.0-2_all.deb is there. Is the last in the list.

And is better to install the packages from terminal and not software center..

++++++++++++++++++++++++++++
sudo dpkg -i *.deb
++++++++++++++++++++++++++++

above command will install all the .deb packages are listed in your /home directory.
If you place the .deb packages in Desktop as I say in #5th answer , you must first connect to Desktop with cd command

++++++++++++++++++
cd Desktop
++++++++++++++++++

Thanks and sorry If I confused you.

Cliffm (c2mcatee) said : #8

Hi Nick
Thanks for the up date no confusion
moved every thing to the desktop this what I get

 '~/Desktop$ sudo dpkg-i*.deb
sudo: dpkg-i*.deb: command not found

Tried this no-go
sudo apt-get install dpkg-i*.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package dpkg-i*.deb
E: Couldn't find any package by regex 'dpkg-i*.deb'

N1ck 7h0m4d4k15 (nicktux) said : #9

Hi ,

it wants a space between g and -

you can copy paste the command from here to the terminal

sudo dpkg -i *.deb

Thanks

Cliffm (c2mcatee) said : #10

Still something wrong with iscan
Here are the results

~/Desktop$ sudo dpkg -i *.deb
(Reading database ... 395926 files and directories currently installed.)
Preparing to replace epson-inkjet-printer-201109w 1.0.0-1lsb3.2 (using epson-inkjet-printer-201109w_1.0.0-1lsb3.2_amd64.deb) ...
Unpacking replacement epson-inkjet-printer-201109w ...
cups stop/waiting
cups start/running, process 4293
Preparing to replace epson-inkjet-printer-escpr 1.2.0-1lsb3.2 (using epson-inkjet-printer-escpr_1.2.0-1lsb3.2_amd64.deb) ...
Unpacking replacement epson-inkjet-printer-escpr ...
cups stop/waiting
cups start/running, process 4366
Selecting previously unselected package iscan.
Unpacking iscan (from iscan_2.29.1-5~usb0.1.ltdl7_amd64.deb) ...
Selecting previously unselected package iscan-network-nt.
Unpacking iscan-network-nt (from iscan-network-nt_1.1.0-2_amd64.deb) ...
Setting up epson-inkjet-printer-201109w (1.0.0-1lsb3.2) ...
cups stop/waiting
cups start/running, process 4499
Setting up epson-inkjet-printer-escpr (1.2.0-1lsb3.2) ...
cups stop/waiting
cups start/running, process 4560
dpkg: dependency problems prevent configuration of iscan:
 iscan depends on iscan-data; however:
  Package iscan-data is not installed.
dpkg: error processing iscan (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of iscan-network-nt:
 iscan-network-nt depends on iscan (>= 2.21.0); however:
  Package iscan is not configured yet.
dpkg: error processing iscan-network-nt (--install):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for man-db ...
Errors were encountered while processing:
 iscan
 iscan-network-nt

Things on my descktop

:~/Desktop$ ls
byte_of_python3
epson-inkjet-printer-201109w_1.0.0-1lsb3.2_amd64.deb
epson-inkjet-printer-escpr_1.2.0-1lsb3.2_amd64.deb
freecell.desktop
iscan_2.29.1-5~usb0.1.ltdl7_amd64.deb
iscan-network-nt_1.1.0-2_amd64.deb
mahjongg.desktop
sol.desktop

Best N1ck 7h0m4d4k15 (nicktux) said : #11

Ok , it seems that you cannot find the package iscan_data.. that is
required.

I downloaded for you and you can take it with this command

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
wget "http://ubuntuone.com/1OEIXlW5mzzVCLsDAki2i8" -O
~/Desktop/iscan-data_1.17.0-2_all.deb
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Then try to install again .

Cliffm gave more information on the question:
>
> Things on my descktop
>
> :~/Desktop$ ls
> byte_of_python3
> epson-inkjet-printer-201109w_1.0.0-1lsb3.2_amd64.deb
> epson-inkjet-printer-escpr_1.2.0-1lsb3.2_amd64.deb
> freecell.desktop
> iscan_2.29.1-5~usb0.1.ltdl7_amd64.deb
> iscan-network-nt_1.1.0-2_amd64.deb
> mahjongg.desktop
> sol.desktop
>
>

Cliffm (c2mcatee) said : #12

Went automatically to Ubuntu software Center (USC) and indicated a bad portion of iscan_1.17...deb
went ahead and had it fix the problem
The USC could not iscan-data to remove it
went to Synaptic package Manager and found the file and removed it
then went to terminal and re-installed
works fine now
Thanks Nick

Cliffm (c2mcatee) said : #13

Thanks NikTh, that solved my question.

N1ck 7h0m4d4k15 (nicktux) said : #14

I do not understand this "went automatically to USC.

If you execute this command

wget "http://ubuntuone.com/1OEIXlW5mzzVCLsDAki2i8" -O ~/Desktop/iscan-data_1.17.0-2_all.deb

the file iscan-data , must be placed on your desktop.

The above command is ONE LINE , I forgot to mention that.

Anyway , glad we solved.

Thanks

Cliffm (c2mcatee) said : #15

The package downloaded to my download file and when I clicked on it to move it the desktop it opened the Ubuntu software center. the package had a problem and was cleared by the USC.
Something went wrong back then all is alright now.

Just re-entered wget in terminal and it responded as you indicated it should. The package is on the Desktop,if you left click on it it will go to the USC to be installed.

Thanks for the help
Cliff

N1ck 7h0m4d4k15 (nicktux) said : #16

> Cliffm posted a new comment:
> The package downloaded to my download file and when I clicked on it to
> move it the desktop it opened the Ubuntu software center. the package had a
> problem and was cleared by the USC.
> Something went wrong back then all is alright now.
>
> Just re-entered wget in terminal and it responded as you indicated it
> should. The package is on the Desktop,if you left click on it it will go
> to the USC to be installed.
>
> Thanks for the help
> Cliff
>
>
Yes. Ok .
If you left click on it.
But you shouldn't left click on it, you should run
+++++++++++++++
sudo dpkg -i *.deb
+++++++++++++++
to install again all .deb packages on you Desktop (including the
iscan-data).

Its Ok. We solved it , we are happy , no problem now.

The synaptic package manager you used is an alternate Good and Strong tool.
Better than USC (i.m.o).

:)